El post que buscas se encuentra eliminado, pero este también te puede interesar

Problemas al Instalar o Actualizar paquetes en Ubuntu

Anuncios

Problemas al Instalar o Actualizar paquetes en Ubuntu
Ubuntu


A veces al realizar una instalación fallida o al interrumpir alguna actualización accidentalmente, podemos causar problemas en Ubuntu o Linux Mint (o en cualquier distribución basada en Debian) y ocurre que el sistema de paquetes deja de funcionar y al intentar actualizar o instalar algún otro paquete, puede dejar de funcionar y solo indicarnos un mensaje que aveces no es tan descritptivo para saber como solucionarlo


Error: Sub-process /usr/bin/dpkg returned an error

Para solucionar este problema solo se debe ejecutar el siguiente comando:

  • sudo dpkg –configure -a


Este comando le indica al sistema de paquetes que termine la instalación pendiente. Si te sigue mostrando ese problema puedes eliminar algunos archivos para que no se mantenga ninguna configuración o archivo que pudiera estar incorrecto. Para esto ve a la siguiente carpeta y elimina los archivos .portrm y .list, lo puedes hacer con los siguientes comandos:

1.- Eliminar los archivos:

  • sudo rm /var/lib/dpkg/info/*.postrm
  • sudo rm /var/lib/dpkg/info/*.list

2.- Elimina el cache de paquetes y actualiza el sistema

  • sudo apt-get clean all
  • sudo apt-get update
  • sudo apt-get upgrade

Con esto tendremos nuestro sistema de de paquetes limpio y preparado para continuar trabajando sin problemas y poder instalar o actualizar el sistema sin problemas


Error: repositorio no está actualizado y se utilizarán los ficheros de índice antiguo

Si ocurre que te muestra un mensaje como este: “Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos.” ha ocurrido algún problema con las listas de paquetes y no se pueden acceder, en este caso es mejor borrarlas y descargar todo de nuevo, para esto ejecuta estos comandos:

  • sudo rm /var/lib/apt/lists/*
  • sudo rm /var/lib/apt/lists/partial/*
  • sudo apt-get update

Listo ya deberías poder instalar cualquier paquete o actualizar los paquetes del sistema que lo requieran mediante el comando

  • sudo apt-get upgrade


Error: algo salió mal, ejecuta “sudo apt-get -f install”

Otro Error común con el administrador de paquetes es que te indica que hay un problema con el gestor de actualizaciones o con el centro de software y el mensaje de error te indica que ejecutes un comando como este:

  • sudo apt-get -f install

Te recomiendo que lo hagas ya que se resuelve el problema de una actualización o instalación incompleta, una vez realizado esto puedes ejecutar de nuevo el comando siguiente:

  • sudo apt-get update
  • sudo apt-get upgrade


Error: Leyendo la lista de paquetes!

Este error es común cuando se ha interrumpido la descarga de la lista de paquetes y no se han procesado todos los archivos de la lista, para arreglarlo solo tienes que ejecuar estos comandos

  • sudo rm /var/lib/apt/lists/* -vf
  • sudo apt-get update


Con esto se eliminarán todos los listados que existan y se descargarán los mas actuales y podrás continuar instalando los paquetes que necesites o actualizando tu sistema.

error



Mint

Anuncios

8 comentarios - Problemas al Instalar o Actualizar paquetes en Ubuntu

@Loco_vivo -3
le instalé elementary OS a una notebuk y no me reproduce los videos de youtube, ahi fallaron los de esa distro
@Loco_vivo
@gamborimbo problema resuelto capo!
@gamborimbo +1
@Loco_vivo que bien, otro usuario satisfecho, ahora solo falta activar las hotcorners para tener varias pantallas.
si usas freya recuerda que esta en beta, pero funciona muy bien
@Loco_vivo
@X-GNZLS -4
GNU/Linux paso de moda, ahora la onda es %100 Windows 10.

Tal vez el único S.O Linux que valga la pena instalar sea LUbuntu para las PC's viejas.
@marianich +3
Son distintos punto de vista, se respeta
@Bloost +3
¿Cuando GNU/Linux fue una moda?
@tobemys +1
No olvides:
- apt-get -f install tiene su contrapartida con apt-ger -f remove si se quiere eliminar y no reparar los paquetes conflictivos.
Muy buen post, me hubiera servido hace un par de años.
Mis +10 por divulgar conocimientos.
@metalyxero
Cuando ingreso el comando sudo dpkg –configure -a me aparece esto:

dpkg: error: se necesita una opción de acción

Type dpkg --help for help about installing and deinstalling packages
  • ;
  • Use 'apt' or 'aptitude' for user-friendly package management;
    Type dpkg -Dhelp for a list of dpkg debug flag values;
    Type dpkg --force-help for a list of forcing options;
    Type dpkg-deb --help for help about manipulating *.deb files;

    Options marked
  • produce a lot of output - pipe it through 'less' or 'more' !

  • ¿Qué hago?
    @quetedenden
    La categoria no es correcta capo esto va en linux.
    @edilsan
    @X-GNZLS hace 8 horas -4
    GNU/Linux paso de moda, ahora la onda es %100 Windows 10.((( preguntome que haces en esta página??? )) sugue gastando en tu windws
    @vidob
    El software libre, nunca pasara de moda.
    @vidob
    Buen post, alguien sabe alguna aplicación para instalar en linux y actualizar mediante el escritorio gráfico a punte de clic ?.
    @gamborimbo
    @vidob cual procesador?
    @gamborimbo
    @vidob quieres saber los datos del procesador y cosas asi?
    una opcion es sudo lshw en la consola, pero hay una opcion para ver lo que tiene tu maquina dice algo de system profiler and benchmark en mint kde es ksysguard
    @vidob
    @gamborimbo Te mande un mensaje a tu correo de taringa.